- obsolete old gnome-games libs/common and devel packages
[packages/libgnome-games-support.git] / libgnome-games-support.spec
1 #
2 # Conditional build:
3 %bcond_without  static_libs     # static library
4
5 Summary:        Support library for GNOME games
6 Summary(pl.UTF-8):      Biblioteka wspierająca dla gier GNOME
7 Name:           libgnome-games-support
8 Version:        1.4.4
9 Release:        1
10 License:        LGPL v3+
11 Group:          X11/Libraries
12 Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgnome-games-support/1.4/%{name}-%{version}.tar.xz
13 # Source0-md5:  2bc7594ad4b54f25648964792112bc51
14 URL:            https://github.com/GNOME/libgnome-games-support
15 BuildRequires:  autoconf >= 2.69
16 BuildRequires:  automake >= 1:1.11
17 BuildRequires:  gettext-tools >= 0.19.8
18 BuildRequires:  glib2-devel >= 1:2.40.0
19 BuildRequires:  gtk+3-devel >= 3.20.0
20 BuildRequires:  libgee-devel >= 0.8
21 BuildRequires:  libtool >= 2:2.2
22 BuildRequires:  pkgconfig
23 BuildRequires:  vala >= 2:0.40.0
24 Requires:       glib2 >= 1:2.40.0
25 Requires:       gtk+3 >= 3.20.0
26 Requires:       libgee >= 0.8
27 Provides:       libgames-support = %{version}-%{release}
28 Obsoletes:      gnome-games < 1:3.8.0
29 Obsoletes:      libgames-support < 1.2.0-1
30 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
31
32 %description
33 libgnome-games-support is a small library intended for internal use by
34 GNOME Games, but it may be used by others. The API will only break
35 with the major version number. The ABI is unstable.
36
37 %description -l pl.UTF-8
38 libgnome-games-support to mała biblioteka przeznaczona do użytku
39 wewnętrznego gier ze środowiska GNOME, ale może być wykorzystywana
40 także przez innych. API może się zmieniać tylko wraz z głównym numerem
41 wersji; ABI nie jest stabilne.
42
43 %package devel
44 Summary:        Header files for libgnome-games-support library
45 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki libgnome-games-support
46 Group:          Development/Libraries
47 Requires:       %{name} = %{version}-%{release}
48 Requires:       glib2-devel >= 1:2.40.0
49 Requires:       gtk+3-devel >= 3.20.0
50 Requires:       libgee-devel >= 0.8
51 Provides:       libgames-support-devel = %{version}-%{release}
52 Obsoletes:      gnome-games-devel < 1:2.8.0
53 Obsoletes:      gnome-games-static < 1:2.8.0
54 Obsoletes:      libgames-support-devel < 1.2.0-1
55
56 %description devel
57 Header files for libgnome-games-support library.
58
59 %description devel -l pl.UTF-8
60 Pliki nagłówkowe biblioteki libgnome-games-support.
61
62 %package static
63 Summary:        Static libgnome-games-support library
64 Summary(pl.UTF-8):      Statyczna biblioteka libgnome-games-support
65 Group:          Development/Libraries
66 Requires:       %{name}-devel = %{version}-%{release}
67 Provides:       libgames-support-static = %{version}-%{release}
68 Obsoletes:      libgames-support-static < 1.2.0-1
69
70 %description static
71 Static libgnome-games-support library.
72
73 %description static -l pl.UTF-8
74 Statyczna biblioteka libgnome-games-support.
75
76 %package -n vala-libgnome-games-support
77 Summary:        Vala API for libgnome-games-support library
78 Summary(pl.UTF-8):      API języka Vala do bibliotek libgnome-games-support
79 Group:          Development/Libraries
80 Requires:       %{name}-devel = %{version}-%{release}
81 Provides:       vala-libgames-support = %{version}-%{release}
82 Obsoletes:      vala-libgames-support < 1.2.0-1
83 %if "%{_rpmversion}" >= "5"
84 BuildArch:      noarch
85 %endif
86
87 %description -n vala-libgnome-games-support
88 Vala API for libgnome-games-support library.
89
90 %description -n vala-libgnome-games-support -l pl.UTF-8
91 API języka Vala do bibliotek libgnome-games-support.
92
93 %prep
94 %setup -q
95
96 %build
97 %{__libtoolize}
98 %{__aclocal} -I m4
99 %{__autoconf}
100 %{__automake}
101 %configure \
102         --disable-silent-rules \
103         %{?with_static_libs:--enable-static}
104 %{__make}
105
106 %install
107 rm -rf $RPM_BUILD_ROOT
108
109 %{__make} install \
110         DESTDIR=$RPM_BUILD_ROOT
111
112 %{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
113
114 %find_lang %{name}
115
116 %clean
117 rm -rf $RPM_BUILD_ROOT
118
119 %post   -p /sbin/ldconfig
120 %postun -p /sbin/ldconfig
121
122 %files -f %{name}.lang
123 %defattr(644,root,root,755)
124 %doc NEWS README
125 %attr(755,root,root) %{_libdir}/libgnome-games-support-1.so.*.*.*
126 %attr(755,root,root) %ghost %{_libdir}/libgnome-games-support-1.so.3
127
128 %files devel
129 %defattr(644,root,root,755)
130 %attr(755,root,root) %{_libdir}/libgnome-games-support-1.so
131 %{_includedir}/gnome-games-support-1
132 %{_pkgconfigdir}/libgnome-games-support-1.pc
133
134 %if %{with static_libs}
135 %files static
136 %defattr(644,root,root,755)
137 %{_libdir}/libgnome-games-support-1.a
138 %endif
139
140 %files -n vala-libgnome-games-support
141 %defattr(644,root,root,755)
142 %{_datadir}/vala/vapi/libgnome-games-support-1.vapi
This page took 0.093571 seconds and 4 git commands to generate.